
# Jumpex - Raylib WASM JAM Contribution

* RAYLIB WASM - [**5k gamejam**](https://itch.io/jam/raylib-5k-gamejam)
* **Forked from** [**Raylib-Game-Template**](https://github.com/raysan5/raylib-game-template)
* [**Here you can play -Jumpex-**](https://quentinraymondaud.itch.io/jumpex)

## Test 

You need to open a web server on **jumpex/src** and open index.html in a browser.
To do so you can use [**http-server npm package**](https://www.npmjs.com/package/http-server) 

* cd `raylib-parent-folder`
* git clone https://gitlab.com/Raymondaud.Q/jumpex
* cd jumpex/src
* npm install --global http-server
* http-server 

Open the link displayed in the CLI


## Build

Once [**Raylib - WASM build instructions** ](https://github.com/raysan5/raylib/wiki/Working-for-Web-(HTML5)) done, you can run the following command :

* make PLATFORM=PLATFORM_WEB -e
* Compiling architecture :

 ```
**project_dir**
|
│  
│
└───https://github.com/raysan5/raylib
|   |
|   | ...
│   
└───https://gitlab.com/Raymondaud.Q/jumpex
|   |
|   | ...
|   | src
```


Forked:
-----------------------------------

_DISCLAIMER:_

Welcome to **raylib game template**!

This template provides a base structure to start developing a small raylib game in plain C. The repo is also pre-configured with a default `LICENSE` (zlib/libpng) and a `README.md` (this one) to be properly filled by users. Feel free to change the LICENSE as required.

All the sections defined by `$(Data to Fill)` are expected to be edited and filled properly. It's recommended to delete this disclaimer message after editing this `README.md` file.

This template has been created to be used with raylib (www.raylib.com) and it's licensed under an unmodified zlib/libpng license.

_Copyright (c) 2014-2022 Ramon Santamaria ([@raysan5](https://twitter.com/raysan5))_

-----------------------------------

## $(Game Title)

![$(Game Title)](screenshots/screenshot000.png "$(Game Title)")

### Description

$(Your Game Description)

### Features

 - $(Game Feature 01)
 - $(Game Feature 02)
 - $(Game Feature 03)

### Controls

Keyboard:
 - $(Game Control 01)
 - $(Game Control 02)
 - $(Game Control 03)

### Screenshots

_TODO: Show your game to the world, animated GIFs recommended!._

### Developers

 - $(Developer 01) - $(Role/Tasks Developed)
 - $(Developer 02) - $(Role/Tasks Developed)
 - $(Developer 03) - $(Role/Tasks Developed)

### Links

 - YouTube Gameplay: $(YouTube Link)
 - itch.io Release: $(itch.io Game Page)
 - Steam Release: $(Steam Game Page)

### License

This game sources are licensed under an unmodified zlib/libpng license, which is an OSI-certified, BSD-like license that allows static linking with closed source software. Check [LICENSE](LICENSE) for further details.

$(Additional Licenses)

*Copyright (c) $(Year) $(User Name) ($(User Twitter/GitHub Name))*
